Name:		mirror
Version:	2.9
Release:	13
Summary:	Perl program to mirror FTP sites
License:	BSD with restrictions
Group:		Applications/Internet
Source:		ftp://sunsite.org.uk/old-sunsite/mirror/%{name}-%{version}.tar.gz  
URL:		ftp://sunsite.org.uk/old-sunsite/mirror/index.html
Source1:	ftp://sunsite.org.uk/old-sunsite/mirror/security_note.txt
Patch:		%{name}-%{version}-conectiva.patch
Patch1:		%{name}-no-directory-goback.patch
Patch2:		%{name}-ftp.pl_wupatch.patch
Patch3:		security_note.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Provides:	perl(lsparse.pl)
Packager:	Paul Howarth <paul@city-fan.org>

%description
Mirror uses the FTP protocol to duplicate a directory hierarchy
between its local host and a remote host.  Mirror avoids unnecessarily
copying files by comparing the file timestamps and sizes before
transfer.  Mirror is also optionally capable of compressing, gzipping
and splitting files.  Mirror was written for the use of archive
maintainers but can be used by anyone who needs to transfer a large
number of files via FTP.

%prep
%setup -q -c
%patch -p1 -b .redhat
%patch1 -p1 -b .sec
%patch2 -p0 -b .wu
%patch3 -p0 -b .secnote

%{__cp} %{SOURCE1} .

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/%{name}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_sysconfdir}
%{__mkdir} -p %{buildroot}%{_mandir}/man1
%{__make}	"PLDIR=%{buildroot}/%{_libdir}/%{name}" \
		"BINDIR=%{buildroot}%{_bindir}" \
		"MANDIR=%{buildroot}%{_mandir}/man1" \
		install

%{__install} -m 644 %{name}.defaults %{buildroot}%{_sysconfdir}

%{__ln_s} -f %{name}.pl %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config (noreplace) %{_sysconfdir}/%{name}.defaults
%{_bindir}/do_unlinks.pl
%{_bindir}/%{name}
%{_bindir}/%{name}.pl
%{_bindir}/mm.pl
%{_bindir}/pkgs_to_mmin.pl
%defattr(0644,root,root,0755)
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mm.1*
%doc README.txt *.html CHANGES*
%doc %{name}.nightly support/cyber-patches support/lstest.pl
%doc security_note.txt

%changelog
* Wed Dec 10 2003 Paul Howarth <paul@city-fan.org> mirror-2.9-13
- Even more macros.
- Updated %description.
- Updated URL.
- Used a valid Group: Applications/Internet.

* Tue Mar 11 2003 Paul Howarth <paul@city-fan.org> mirror-2.9-12
- added security_note.txt to docs and patched mirror.defaults accordingly.
- don't automatically replace mirror.defaults on upgrade.
- add provides perl(lsparse.pl) to fix perl dependency issue.

* Fri Mar 16 2001 Raul Dias <rsd@conectiva.com>
- mirror-2.9-11cl
- added patch to prevent timeouts during directory listing.

* Mon Oct 16 2000 Arnaldo Carvalho de Melo <acme@conectiva.com>
- /usr/lib/mirror _is_ part of this package
- more macros
- redid the patch to make it possible to build this package as non-root user

* Sun Oct 15 2000 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- fixed doc perms (argh!)

* Sun Oct 15 2000 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- fixed man page perms

* Thu Oct 05 2000 Guilherme Wunsch Manika <gwm@conectiva.com>
- Macro-ized everything

* Tue Apr 18 2000 Guilherme Wunsch Manika <gwm@conectiva.com>
- Dealt with possibly compressed man pages

* Wed Oct 20 1999 Guilherme Wunsch Manika <gwm@conectiva.com>
- Security fix against the '..' problem

* Wed Jun 16 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Tue Apr 13 1999 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- built for conectiva

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- enhanced redhat patch

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- updated package to 2.9
- fixed spec file

* Mon May 18 1998 Michael Maher <mike@redhat.com>
- updated rpm package and cleaned up SRPM.

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- grabbed contrib package for powertools.
